﻿@using SiteGuide.Service.Views.Kml.Shared
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Helpers
@model LaunchViewModel
<Placemark>
    <name>@StringHelper.JoinNotEmpty(" - ", Model.Site.Name, Model.Launch.Name)</name>
    <Snippet>@StringHelper.JoinNotEmpty(" - ", Model.Site.Type, Model.Site.Conditions)</Snippet>
    <description>@((await Html.PartialAsync("./_LaunchDescription.cshtml")).GetString())</description>
    <styleUrl>#@(Model.Site.IsClosed || Model.Launch.IsClosed ? "styleClosedLaunch" : "styleLaunch")</styleUrl>
    <Point>
        <coordinates>@Model.Launch.Lon.Normalize(), @Model.Launch.Lat.Normalize()</coordinates>
    </Point>
</Placemark>